<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="author" content="map[name:Hugo Authors]">
<meta name="description" content="Étape 1. Installer Hugo Allez sur la page de téléchargements de hugo et téléchargez la version appropriée à votre système d&amp;rsquo;exploitation et votre architecture.
Sauvegardez le fichier téléchargé à un endroit précis, afin de l&amp;rsquo;utiliser dans l&#39;étape suivante.
Des informations plus complètes sont disponibles sur la page installing hugo
" />
<meta name="keywords" content="" />
<meta name="robots" content="noodp" />
<meta name="theme-color" content="" />
<link rel="canonical" href="/posts/2014/04/d%C3%A9buter-avec-hugo/" />


    <title>
        
            Débuter avec Hugo :: Hello, Friend  — Hello Friend NG Theme
        
    </title>



<link href="https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.5.0/css/flag-icon.min.css" rel="stylesheet"
    type="text/css">



<link rel="stylesheet" href="/main.4e5c639214707eff609bb55fe49e183dee42258a73bc90e4cc7b0a84f900798a.css">



    <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
    <link rel="manifest" href="/site.webmanifest">
    <link rel="mask-icon" href="/safari-pinned-tab.svg" color="">
    <link rel="shortcut icon" href="/favicon.ico">
    <meta name="msapplication-TileColor" content="">


<meta itemprop="name" content="Débuter avec Hugo">
<meta itemprop="description" content="Étape 1. Installer Hugo
Allez sur la page de téléchargements de
hugo et téléchargez la version
appropriée à votre système d&rsquo;exploitation et votre architecture.
Sauvegardez le fichier téléchargé à un endroit précis, afin de l&rsquo;utiliser dans
l&#39;étape suivante.
Des informations plus complètes sont disponibles sur la page
installing hugo">
<meta itemprop="datePublished" content="2014-04-02T00:00:00&#43;00:00" />
<meta itemprop="dateModified" content="2014-04-02T00:00:00&#43;00:00" />
<meta itemprop="wordCount" content="399">
<meta itemprop="image" content="/"/>



<meta itemprop="keywords" content="" />
<meta name="twitter:card" content="summary_large_image"/>
<meta name="twitter:image" content="/"/>

<meta name="twitter:title" content="Débuter avec Hugo"/>
<meta name="twitter:description" content="Étape 1. Installer Hugo
Allez sur la page de téléchargements de
hugo et téléchargez la version
appropriée à votre système d&rsquo;exploitation et votre architecture.
Sauvegardez le fichier téléchargé à un endroit précis, afin de l&rsquo;utiliser dans
l&#39;étape suivante.
Des informations plus complètes sont disponibles sur la page
installing hugo"/>



    <meta property="og:title" content="Débuter avec Hugo" />
<meta property="og:description" content="Étape 1. Installer Hugo
Allez sur la page de téléchargements de
hugo et téléchargez la version
appropriée à votre système d&rsquo;exploitation et votre architecture.
Sauvegardez le fichier téléchargé à un endroit précis, afin de l&rsquo;utiliser dans
l&#39;étape suivante.
Des informations plus complètes sont disponibles sur la page
installing hugo" />
<meta property="og:type" content="article" />
<meta property="og:url" content="/posts/2014/04/d%C3%A9buter-avec-hugo/" />
<meta property="og:image" content="/"/>
<meta property="article:published_time" content="2014-04-02T00:00:00+00:00" />
<meta property="article:modified_time" content="2014-04-02T00:00:00+00:00" />




    <meta property="article:section" content="Hugo" />



    <meta property="article:published_time" content="2014-04-02 00:00:00 &#43;0000 UTC" />










    </head>

    
        <body>
    
    
        <div class="container">
            <header class="header">
    <span class="header__inner">
        <a href="/" style="text-decoration: none;">
    <div class="logo">
        
            <span class="logo__mark">&gt;</span>
            <span class="logo__text">$ cd /home/</span>
            <span class="logo__cursor" style=
                  "
                   
                   ">
            </span>
        
    </div>
</a>


        <span class="header__right">
            
                <nav class="menu">
    <ul class="menu__inner"><li><a href="/about/">About</a></li><li><a href="/posts/">Posts</a></li>
        <div class="submenu">
            <li class="dropdown">
                <a href="javascript:void(0)" class="dropbtn">en</a>
                <div class="dropdown-content">
                    
                        
                    
                </div>
            </li>
        </div>
    </ul>
</nav>

                <span class="menu-trigger">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                        <path d="M0 0h24v24H0z" fill="none"/>
                        <path d="M3 18h18v-2H3v2zm0-5h18v-2H3v2zm0-7v2h18V6H3z"/>
                    </svg>
                </span>
            
        </span>
    </span>
</header>


            <div class="content">
                
    <main class="post">

        <div class="post-info">
            
            </p>
        </div>

        <article>
            <h2 class="post-title"><a href="/posts/2014/04/d%C3%A9buter-avec-hugo/">Débuter avec Hugo</a></h2>

            
            
            

            <div class="post-content">
                <h2 id="étape-1-installer-hugo">Étape 1. Installer Hugo</h2>
<p>Allez sur la page de téléchargements de
<a href="https://github.com/spf13/hugo/releases">hugo</a> et téléchargez la version
appropriée à votre système d&rsquo;exploitation et votre architecture.</p>
<p>Sauvegardez le fichier téléchargé à un endroit précis, afin de l&rsquo;utiliser dans
l'étape suivante.</p>
<p>Des informations plus complètes sont disponibles sur la page
<a href="/overview/installing/">installing hugo</a></p>
<h2 id="étape-2-compilez-la-documentation">Étape 2. Compilez la documentation</h2>
<p>Hugo possède son propre site d&rsquo;exemple qui se trouve être également le site que
vous lisez actuellement.</p>
<p>Suivez les instructions suivante :</p>
<ol>
<li>Clonez le <a href="http://github.com/spf13/hugo">dépôt de hugo</a></li>
<li>Allez dans ce dépôt</li>
<li>Lancez Hugo en mode serveur et compilez la documentation</li>
<li>Ouvrez votre navigateur sur http://localhost:1313</li>
</ol>
<p>Voici les commandes génériques correspondantes :</p>
<pre><code>git clone https://github.com/spf13/hugo
cd hugo
/chemin/ou/vous/avez/installe/hugo server --source=./docs
&gt; 29 pages created
&gt; 0 tags index created
&gt; in 27 ms
&gt; Web Server is available at http://localhost:1313
&gt; Press ctrl+c to stop
</code></pre>
<p>Lorsque vous avez cela, continuez le reste de ce guide sur votre version locale.</p>
<h2 id="étape-3-changer-le-site-de-documentation">Étape 3. Changer le site de documentation</h2>
<p>Arrêtez le processus de Hugo en pressant ctrl+c.</p>
<p>Maintenant, nous allons relancer hugo, mais cette fois avec Hugo en mode de
surveillance.</p>
<pre><code>/chemin/vers/hugo/de/l-etape/1/hugo server --source=./docs --watch
&gt; 29 pages created
&gt; 0 tags index created
&gt; in 27 ms
&gt; Web Server is available at http://localhost:1313
&gt; Watching for changes in /Users/spf13/Code/hugo/docs/content
&gt; Press ctrl+c to stop
</code></pre>
<p>Ouvrez votre <a href="https://vim.spf13.com">éditeur favori</a> et changer l&rsquo;une des
sources des pages de contenu.
Open your <a href="http://vim.spf13.com">favorite editor</a> and change one of the source
content pages. Que diriez-vous de modifier ce fichier pour <em>résoudre une faute
de typo</em>.</p>
<p>Les fichiers de contenu peuvent être trouvés dans <code>docs/content/</code>. Sauf
indication contraire, les fichiers sont situés au même emplacement relatif que
l&rsquo;URL, dans notre cas <code>docs/content/overview/quickstart.md</code>.</p>
<p>Modifiez et sauvegardez ce fichier. Notez ce qu&rsquo;il se passe dans le terminal.</p>
<pre><code>&gt; Change detected, rebuilding site

&gt; 29 pages created
&gt; 0 tags index created
&gt; in 26 ms
</code></pre>
<p>Rechargez la page dans votre navigateur et voyez que le problème de typo est
maintenant résolu.</p>
<p>Notez à quel point cela a été rapide. Essayez de recharger le site avant qu&rsquo;il
soit fini de compiler.
Notice how quick that was. Try to refresh the site before it&rsquo;s finished
building. Je paris que vous n&rsquo;y arrivez pas.
Le fait d&rsquo;avoir des réactions presque instantanées vous permet d&rsquo;avoir votre
créativité fluide sans avoir à attendre de longues compilations.</p>
<h2 id="step-4-amusez-vous">Step 4. Amusez-vous</h2>
<p>Le meilleur moyen d&rsquo;apprendre quelque chose est de s&rsquo;amuser avec.</p>
            </div>
        </article>

        <hr />

        <div class="post-info">
            
            
    <p>
        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-folder meta-icon"><path d="M22 19a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h5l2 3h9a2 2 0 0 1 2 2z"></path></svg>

        <span class="tag"><a href="/categories/hugo/">Hugo</a></span>
        
    </p>

  		</div>
    </main>

            </div>

            
                <footer class="footer">
    
    <div class="footer__inner">
        <div class="footer__content">
            <span>&copy; 2023</span>
            <span><a href="/">Christian Casalini</a></span>
            <span><a href="https://creativecommons.org/licenses/by-nc/4.0/" target="_blank" rel="noopener">CC BY-NC 4.0</a></span>
            
            
        </div>
    </div>
    
    
    <div class="footer__inner">
        <div class="footer__content">
            <span>Powered by <a href="http://gohugo.io">Hugo</a></span><span>Made with &#10084; by <a href="https://github.com/rhazdon">Djordje Atlialp</a></span>
        </div>
    </div>
    
</footer>

            
        </div>

        



<script type="text/javascript" src="/bundle.min.ace63d93098bf623f7c286a9084a4c22bfc482944c734f87fe0b685c7c6c7fa0ad2edb028c3b4b60d3343720c8ab490b320ad7f8edf4f6e9a6b898fc529057a9.js" integrity="sha512-rOY9kwmL9iP3woapCEpMIr/EgpRMc0&#43;H/gtoXHxsf6CtLtsCjDtLYNM0NyDIq0kLMgrX&#43;O309ummuJj8UpBXqQ=="></script>



    </body>
</html>
